Package org.eclipse.net4j.util.security

# Class DiffieHellman.ParameterSpecGenerator

java.lang.Object
org.eclipse.net4j.util.security.DiffieHellman.ParameterSpecGenerator

Enclosing class:
  DiffieHellman

public static final class DiffieHellman.ParameterSpecGenerator extends Object
Creates Diffie-Hellman parameters.

Author:
  Eike Stepper

## Constructor Summary

Constructors
Constructor
Description
`ParameterSpecGenerator()`

## Method Summary

Modifier and Type
Method
Description
`static DHParameterSpec`
`generate(int bits)`
Create Diffie-Hellman parameters.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ParameterSpecGenerator

public ParameterSpecGenerator()

## Method Details

### generate

public static DHParameterSpec generate(int bits)
Create Diffie-Hellman parameters.

Takes VERY long...